#!/bin/sh
#
# localize.sh - Complete installation of binary distribution
#
# Written 2001 by Werner Almesberger
#
# Copyright 2001 Network Robots
#

if [ ! -d bin ]; then
    echo "$0: directory ./bin not found" 1>&2
    exit 1
fi


wrap()
{
    if [ -f bin/$1 ] && file bin/$1 | grep ELF >/dev/null; then : ; else
	return 0
    fi
    echo Creating wrapper for $1
    mv bin/$1 bin/$1.bin
    cat <<EOF >bin/$1
#!/bin/sh
TCNG_TOPDIR=`pwd` exec `pwd`/bin/$1.bin "\$@"
EOF
    chmod 755 bin/$1
}


fix()
{
    [ -f bin/$1 -a -x bin/$1 ] || return 0
    perl -pi -e '$pwd = `pwd`; s/topdir=[^\$].*/topdir=$pwd/;' bin/$1
}


wrap tcc
wrap tcsim
fix tcc-module
fix kmod_cc
fix tcmod_cc

exit 0
